package domain

type TmallExchangeMessagesGetRefundMessageResult struct {
	/*
	   当前页面的留言条数     */
	PageResults *int64 `json:"page_results,omitempty" `

	/*
	   留言记录     */
	Results *[]TmallExchangeMessagesGetRefundMessage `json:"results,omitempty" `

	/*
	   所有留言记录数     */
	TotalResults *int64 `json:"total_results,omitempty" `

	/*
	   是否有下一页     */
	HasNext *bool `json:"has_next,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `
}

func (s *TmallExchangeMessagesGetRefundMessageResult) SetPageResults(v int64) *TmallExchangeMessagesGetRefundMessageResult {
	s.PageResults = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessageResult) SetResults(v []TmallExchangeMessagesGetRefundMessage) *TmallExchangeMessagesGetRefundMessageResult {
	s.Results = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessageResult) SetTotalResults(v int64) *TmallExchangeMessagesGetRefundMessageResult {
	s.TotalResults = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessageResult) SetHasNext(v bool) *TmallExchangeMessagesGetRefundMessageResult {
	s.HasNext = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessageResult) SetErrorCode(v string) *TmallExchangeMessagesGetRefundMessageResult {
	s.ErrorCode = &v
	return s
}
func (s *TmallExchangeMessagesGetRefundMessageResult) SetErrorMsg(v string) *TmallExchangeMessagesGetRefundMessageResult {
	s.ErrorMsg = &v
	return s
}
